#ifndef WINDOWOPTIONS_H
#define WINDOWOPTIONS_H

#include "math/Vector.h"

struct WindowOptions final {
    int majorVersion;
    int minorVersion;
    const IntVector2& size;
    bool fullscreen;
    bool es;
    bool vsync;
    const char* name;

    WindowOptions(int majorVersion, int minorVersion, const IntVector2& size,
                  bool es, const char* name);
};

#endif